# Generated by Django 5.1.4 on 2025-01-17 14:25

import django.db.models.deletion
import modelcluster.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('wagtailcore', '0094_alter_page_locale'),
    ]

    operations = [
        migrations.CreateModel(
            name='Menu',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(help_text='Menu Title', max_length=255, unique=True)),
                ('slug', models.SlugField(help_text='Unique identifier for this menubuilder.', unique=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='MenuItem',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(help_text='Menu Item Title', max_length=255)),
                ('url', models.URLField(blank=True, help_text='External URL for this menu item. Leave blank if dropdown.', null=True)),
                ('is_dropdown', models.BooleanField(default=False, help_text='Check if this item should have a dropdown menubuilder.')),
                ('order', models.PositiveIntegerField(default=0, help_text='Menu item display order.')),
                ('internal_link', models.ForeignKey(blank=True, help_text='Internal link to a page. Overrides external URL if set.', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='menu_links', to='wagtailcore.page')),
                ('menu', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='menu_items', to='menubuilder.menu')),
            ],
            options={
                'ordering': ['order'],
            },
        ),
    ]
